% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Data.R
\docType{data}
\name{ExampleDataLinear}
\alias{ExampleDataLinear}
\title{Example data with continuous outcomes}
\format{
A list containing the following elements:
\describe{
\item{Y}{a vector representing continuous outcomes.
Generated as a linear combination of provider-specific effects, covariates, and a random error term (\eqn{\epsilon}),
where \eqn{\epsilon} follows a normal distribution with mean 0 and standard deviation 1.}
\item{ID}{a vector representing identifier for each provider.
The number of individuals per provider is generated from a Poisson distribution with mean 80.}
\item{Z}{a data frame containing 5 continuous variables.
Generated from a multivariate normal distribution, where the mean is calculated as
\eqn{(\gamma_i - \mu_{\gamma}) \cdot \rho / \sigma_{\gamma}} with \eqn{\mu_{\gamma} = \log(4/11)} and \eqn{\sigma_{\gamma} = 0.4},
and the correlation between covariates and provider effects is 0.1.}
}
}
\usage{
data(ExampleDataLinear)
}
\description{
A simulated data set containing 7901 observations, 5 continuous covariates and 100 providers.
}
\examples{
data(ExampleDataLinear)
head(ExampleDataLinear$Y)
head(ExampleDataLinear$ID)
head(ExampleDataLinear$Z)
}
\keyword{datasets}
