% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/SM_output.R
\name{SM_output}
\alias{SM_output}
\title{Generic function for calculating standardized measures}
\usage{
SM_output(fit, ...)
}
\arguments{
\item{fit}{the input object, typically a fitted model, for which standardized measures
are calculated. The method applied depends on the class of this object.}

\item{...}{additional arguments that can be passed to specific methods.}
}
\value{
the return varies depending on the method implemented for the
class of the input object.
}
\description{
\code{SM_output} is an S3 generic function designed to calculate standardized
measures. It dispatches to the appropriate method based on the class of the
input (\code{fit}), ensuring the correct method is applied for different types of models.
}
