% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/test.R
\name{test}
\alias{test}
\title{Generic function for hypothesis testing of provider effects}
\usage{
test(fit, ...)
}
\arguments{
\item{fit}{the input object, typically a fitted model, for which provider
effects are tested. The method applied depends on the class of this object.}

\item{...}{additional arguments that can be passed to specific methods.}
}
\value{
the return depends on the method implemented for the
class of the input object, typically including statistical outputs for
provider effect coefficients and identification of outlier providers.
}
\description{
\code{test} is an S3 generic function used to conduct hypothesis tests on provider effect coefficients
and detect outlying provider. The function dispatches to the appropriate method
based on the class of the input model (\code{fit}).
}
